Package org.kapott.hbci.sepa.jaxb.pain_002_001_13

# Enum Class Priority2Code

java.lang.Object
java.lang.Enum<Priority2Code>
org.kapott.hbci.sepa.jaxb.pain_002_001_13.Priority2Code

All Implemented Interfaces:
  `Serializable`, `Comparable<Priority2Code>`, `Constable`

public enum Priority2Code extends Enum<Priority2Code>

Java class for Priority2Code.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="Priority2Code">
       <restriction base="{http://www.w3.org/2001/XMLSchema}string">
         <enumeration value="HIGH"/>
         <enumeration value="NORM"/>
       </restriction>
     </simpleType>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`HIGH`
`NORM`

## Method Summary

Modifier and Type
Method
Description
`static Priority2Code`
`fromValue(String v)`
`String`
`value()`
`static Priority2Code`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Priority2Code[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### HIGH

public static final Priority2Code HIGH

### NORM

public static final Priority2Code NORM

## Method Details

### values

public static Priority2Code[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Priority2Code valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### value

public String value()

### fromValue

public static Priority2Code fromValue(String v)